Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class GuardedCmdVec

    java.lang.Object
      escjava.ast.GuardedCmdVec

public class GuardedCmdVec
extends java.lang.Object

Field Summary
`private int` | `count`
`private GuardedCmd[]` | `elements` * Instance fields: * *

Constructor Summary
`private` | `GuardedCmdVec(GuardedCmd[] els)` * Private constructors: * *
`private` | `GuardedCmdVec(int cnt)`

Method Summary
`void` | `addElement(GuardedCmd x)`
`void` | `append(GuardedCmdVec vec)`
`boolean` | `contains(GuardedCmd x)`
`GuardedCmdVec` | `copy()`
`GuardedCmd` | `elementAt(int index)` * Other methods: * *
`void` | `insertElementAt(GuardedCmd obj, int index)`
`static GuardedCmdVec` | `make()` * Public maker methods: * *
`static GuardedCmdVec` | `make(GuardedCmd[] els)`
`static GuardedCmdVec` | `make(int count)`
`static GuardedCmdVec` | `make(java.util.Vector vec)`
`GuardedCmd` | `pop()`
`static GuardedCmdVec` | `popFromStackVector(StackVector s)`
`void` | `removeAllElements()`
`boolean` | `removeElement(GuardedCmd x)`
`void` | `removeElementAt(int i)`
`void` | `setElementAt(GuardedCmd x, int index)`
`int` | `size()`
`GuardedCmd[]` | `toArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### elements

    private GuardedCmd[] elements

  * Instance fields: * *

### count

    private int count

Constructor Detail

### GuardedCmdVec

    private GuardedCmdVec(GuardedCmd[] els)

  * Private constructors: * *

### GuardedCmdVec

    private GuardedCmdVec(int cnt)

Method Detail

### make

    public static GuardedCmdVec make()

  * Public maker methods: * *

### make

    public static GuardedCmdVec make(int count)

### make

    public static GuardedCmdVec make(java.util.Vector vec)

### make

    public static GuardedCmdVec make(GuardedCmd[] els)

### popFromStackVector

    public static GuardedCmdVec popFromStackVector(StackVector s)

### elementAt

    public final GuardedCmd elementAt(int index)

  * Other methods: * *

### setElementAt

    public final void setElementAt(GuardedCmd x,
                                   int index)

### size

    public final int size()

### toString

    public final java.lang.String toString()

### toArray

    public final GuardedCmd[] toArray()

### copy

    public final GuardedCmdVec copy()

### contains

    public boolean contains(GuardedCmd x)

### addElement

    public final void addElement(GuardedCmd x)

### removeElement

    public final boolean removeElement(GuardedCmd x)

### removeElementAt

    public final void removeElementAt(int i)

### pop

    public final GuardedCmd pop()

### removeAllElements

    public final void removeAllElements()

### insertElementAt

    public final void insertElementAt(GuardedCmd obj,
                                      int index)

### append

    public final void append(GuardedCmdVec vec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage